package com.prolog.eis.enums.led;

import com.prolog.eis.enums.base.BaseTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @version 1.0.0
 * date:2023/3/30
 * @author：王昭
 */
@Getter
@AllArgsConstructor
public enum NumberEnum {
    ONE(1,"①"),
    TWO(2,"②"),
    THREE(3,"③"),
    FOUR(4,"④"),
    FIVE(5,"⑤"),
    SIX(6,"⑥"),
    SEVEN(7,"⑦"),
    EIGHT(8,"⑧"),
    NINE(9,"⑨"),
    ;
    @Getter
    private Integer num;
    @Getter
    private String  numStr;

    public static NumberEnum getByNum(Integer num){
        NumberEnum numberEnum = null;

        for (NumberEnum value : values()) {
            if (value.getNum().equals(num)) {
                numberEnum = value;
            }
        }
        return numberEnum;
    }
}
